<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsDeviceMode Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_xs_device_mode-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsDeviceMode Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains the output configuration of a device.  
 <a href="struct_xs_device_mode.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8236cc56a23d8b2d460457b951d3d607"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8236cc56a23d8b2d460457b951d3d607"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a8236cc56a23d8b2d460457b951d3d607">XsDeviceMode</a> (int rate=100)</td></tr>
<tr class="memdesc:a8236cc56a23d8b2d460457b951d3d607"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a device mode with the given output <em>rate</em> in Hz. <br /></td></tr>
<tr class="separator:a8236cc56a23d8b2d460457b951d3d607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96faa90d82368f453eb92465c626ceb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96faa90d82368f453eb92465c626ceb6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a96faa90d82368f453eb92465c626ceb6">XsDeviceMode</a> (uint16_t sampleperiod, uint16_t skipfactor)</td></tr>
<tr class="memdesc:a96faa90d82368f453eb92465c626ceb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a device mode with the given <em>sampleperiod</em> and <em>skipfactor</em>. <br /></td></tr>
<tr class="separator:a96faa90d82368f453eb92465c626ceb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65effe5e47662d86601b84e6a3b52c73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65effe5e47662d86601b84e6a3b52c73"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a65effe5e47662d86601b84e6a3b52c73">XsDeviceMode</a> (const <a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a> &amp;other)</td></tr>
<tr class="memdesc:a65effe5e47662d86601b84e6a3b52c73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a device mode object based on <em>other</em>. <br /></td></tr>
<tr class="separator:a65effe5e47662d86601b84e6a3b52c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35a20a5b68dc6fb9f23bee5de2e7665f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35a20a5b68dc6fb9f23bee5de2e7665f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a35a20a5b68dc6fb9f23bee5de2e7665f">XsDeviceMode</a> (const <a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a> &amp;other)</td></tr>
<tr class="memdesc:a35a20a5b68dc6fb9f23bee5de2e7665f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a device mode from a <a class="el" href="struct_xs_device_mode_r.html" title="A structure for storing device modes. ">XsDeviceModeR</a>. <br /></td></tr>
<tr class="separator:a35a20a5b68dc6fb9f23bee5de2e7665f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab63ed33887bf23329f53dc8357859173"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab63ed33887bf23329f53dc8357859173"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ab63ed33887bf23329f53dc8357859173">XsDeviceMode</a> (const <a class="el" href="struct_xs_device_mode_p_s.html">XsDeviceModePS</a> &amp;other)</td></tr>
<tr class="memdesc:ab63ed33887bf23329f53dc8357859173"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a device mode from a <a class="el" href="struct_xs_device_mode_p_s.html" title="Stores device modes using period and skip factor. ">XsDeviceModePS</a>. <br /></td></tr>
<tr class="separator:ab63ed33887bf23329f53dc8357859173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a440f3578b72ee9e9848b3127b2bc430e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a440f3578b72ee9e9848b3127b2bc430e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a440f3578b72ee9e9848b3127b2bc430e">~XsDeviceMode</a> ()</td></tr>
<tr class="memdesc:a440f3578b72ee9e9848b3127b2bc430e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy this device mode. <br /></td></tr>
<tr class="separator:a440f3578b72ee9e9848b3127b2bc430e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac17ecf12fafd80266bc6b8593f128967"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac17ecf12fafd80266bc6b8593f128967"></a>
const <a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ac17ecf12fafd80266bc6b8593f128967">operator=</a> (const <a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a> &amp;other)</td></tr>
<tr class="memdesc:ac17ecf12fafd80266bc6b8593f128967"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign values from <em>other</em> to this. <br /></td></tr>
<tr class="separator:ac17ecf12fafd80266bc6b8593f128967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8972a3cf1332ae5201387483e4b1b5fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a8972a3cf1332ae5201387483e4b1b5fa">setModeFlag</a> (<a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a> flag, bool enabled=true)</td></tr>
<tr class="memdesc:a8972a3cf1332ae5201387483e4b1b5fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set or clear a <em>flag</em> of the output mode.  <a href="#a8972a3cf1332ae5201387483e4b1b5fa">More...</a><br /></td></tr>
<tr class="separator:a8972a3cf1332ae5201387483e4b1b5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa384890789e6b30ba2ef9139b65f51b7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#aa384890789e6b30ba2ef9139b65f51b7">isModeFlagEnabled</a> (<a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a> flag) const </td></tr>
<tr class="memdesc:aa384890789e6b30ba2ef9139b65f51b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check the state of the output mode <em>flag</em>.  <a href="#aa384890789e6b30ba2ef9139b65f51b7">More...</a><br /></td></tr>
<tr class="separator:aa384890789e6b30ba2ef9139b65f51b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac20d2a6bced698c9dcab602ef1ec53cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ac20d2a6bced698c9dcab602ef1ec53cc">setSettingsFlag</a> (<a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a> flag, bool enabled=true)</td></tr>
<tr class="memdesc:ac20d2a6bced698c9dcab602ef1ec53cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set or clear a <em>flag</em> of the output settings.  <a href="#ac20d2a6bced698c9dcab602ef1ec53cc">More...</a><br /></td></tr>
<tr class="separator:ac20d2a6bced698c9dcab602ef1ec53cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90067b87cd246434b21320d9e77ea01e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a90067b87cd246434b21320d9e77ea01e">isSettingsFlagEnabled</a> (<a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a> flag) const </td></tr>
<tr class="memdesc:a90067b87cd246434b21320d9e77ea01e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check the state of the output settings <em>flag</em>.  <a href="#a90067b87cd246434b21320d9e77ea01e">More...</a><br /></td></tr>
<tr class="separator:a90067b87cd246434b21320d9e77ea01e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81ab2f553c7b46f60be7780d60ccce8e"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a81ab2f553c7b46f60be7780d60ccce8e">sampleRate</a> (void) const </td></tr>
<tr class="memdesc:a81ab2f553c7b46f60be7780d60ccce8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the sample rate in Hz.  <a href="#a81ab2f553c7b46f60be7780d60ccce8e">More...</a><br /></td></tr>
<tr class="separator:a81ab2f553c7b46f60be7780d60ccce8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a459bb3be031f231e16dc1e86d3b47387"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a459bb3be031f231e16dc1e86d3b47387">updateRate</a> (void) const </td></tr>
<tr class="memdesc:a459bb3be031f231e16dc1e86d3b47387"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the update rate in Hz.  <a href="#a459bb3be031f231e16dc1e86d3b47387">More...</a><br /></td></tr>
<tr class="separator:a459bb3be031f231e16dc1e86d3b47387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a100998369ba4104151fc93c86e5bd736"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a100998369ba4104151fc93c86e5bd736">setUpdateRate</a> (int rate)</td></tr>
<tr class="memdesc:a100998369ba4104151fc93c86e5bd736"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the update rate to the given <em>rate</em>.  <a href="#a100998369ba4104151fc93c86e5bd736">More...</a><br /></td></tr>
<tr class="separator:a100998369ba4104151fc93c86e5bd736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcaf3f485f7752bd882c7dbe366d74aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#afcaf3f485f7752bd882c7dbe366d74aa">setPeriodAndSkipFactor</a> (int sampleperiod, int skipfactor)</td></tr>
<tr class="memdesc:afcaf3f485f7752bd882c7dbe366d74aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period and skip factor directly.  <a href="#afcaf3f485f7752bd882c7dbe366d74aa">More...</a><br /></td></tr>
<tr class="separator:afcaf3f485f7752bd882c7dbe366d74aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51919c7ee28fd7d1df6eda7b9312ee3a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a51919c7ee28fd7d1df6eda7b9312ee3a">period</a> () const </td></tr>
<tr class="memdesc:a51919c7ee28fd7d1df6eda7b9312ee3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current period.  <a href="#a51919c7ee28fd7d1df6eda7b9312ee3a">More...</a><br /></td></tr>
<tr class="separator:a51919c7ee28fd7d1df6eda7b9312ee3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a553100c155d0f4d2254e734914fc7ea1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a553100c155d0f4d2254e734914fc7ea1">skipFactor</a> () const </td></tr>
<tr class="memdesc:a553100c155d0f4d2254e734914fc7ea1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current skip factor.  <a href="#a553100c155d0f4d2254e734914fc7ea1">More...</a><br /></td></tr>
<tr class="separator:a553100c155d0f4d2254e734914fc7ea1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab038fbbb9fd1719ec55ec9f2769b9315"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab038fbbb9fd1719ec55ec9f2769b9315"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ab038fbbb9fd1719ec55ec9f2769b9315">operator==</a> (const <a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a> &amp;other) const </td></tr>
<tr class="memdesc:ab038fbbb9fd1719ec55ec9f2769b9315"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> device mode is equal to this. <br /></td></tr>
<tr class="separator:ab038fbbb9fd1719ec55ec9f2769b9315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15f839e4822267408961e92b3c3302b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15f839e4822267408961e92b3c3302b4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a15f839e4822267408961e92b3c3302b4">operator!=</a> (const <a class="el" href="struct_xs_device_mode.html">XsDeviceMode</a> &amp;other) const </td></tr>
<tr class="memdesc:a15f839e4822267408961e92b3c3302b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> device mode is different from this. <br /></td></tr>
<tr class="separator:a15f839e4822267408961e92b3c3302b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eaadacdd16e6c6a6dabf6d5d0261220"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a2eaadacdd16e6c6a6dabf6d5d0261220">setOrientationMode</a> (<a class="el" href="group__enums.html#ga126d8e6e843bb9ec4b39dff76fd20dd5">XsOrientationMode</a> mode)</td></tr>
<tr class="memdesc:a2eaadacdd16e6c6a6dabf6d5d0261220"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set orientation output mode to <em>mode</em>.  <a href="#a2eaadacdd16e6c6a6dabf6d5d0261220">More...</a><br /></td></tr>
<tr class="separator:a2eaadacdd16e6c6a6dabf6d5d0261220"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8ca57ae321f5c8006ec894c15e7be0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga126d8e6e843bb9ec4b39dff76fd20dd5">XsOrientationMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a6f8ca57ae321f5c8006ec894c15e7be0">orientationMode</a> () const </td></tr>
<tr class="memdesc:a6f8ca57ae321f5c8006ec894c15e7be0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current orientation mode.  <a href="#a6f8ca57ae321f5c8006ec894c15e7be0">More...</a><br /></td></tr>
<tr class="separator:a6f8ca57ae321f5c8006ec894c15e7be0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58f01990b90548bc8a5235baccc34bee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a58f01990b90548bc8a5235baccc34bee">setDataFormat</a> (<a class="el" href="group__enums.html#gab069ea83c5534c084605d00747f02d3a">XsFloatFormat</a> ff)</td></tr>
<tr class="memdesc:a58f01990b90548bc8a5235baccc34bee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the data format for floating point output.  <a href="#a58f01990b90548bc8a5235baccc34bee">More...</a><br /></td></tr>
<tr class="separator:a58f01990b90548bc8a5235baccc34bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae157bca8ecb6d46a41306a7b51035226"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#gab069ea83c5534c084605d00747f02d3a">XsFloatFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ae157bca8ecb6d46a41306a7b51035226">dataFormat</a> () const </td></tr>
<tr class="memdesc:ae157bca8ecb6d46a41306a7b51035226"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current floating point data format.  <a href="#ae157bca8ecb6d46a41306a7b51035226">More...</a><br /></td></tr>
<tr class="separator:ae157bca8ecb6d46a41306a7b51035226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35395b7a8e46390d753fefcec8b8a252"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a35395b7a8e46390d753fefcec8b8a252">setCalibratedDataMode</a> (<a class="el" href="group__enums.html#gaf6d3ba49156a12dc63190c1bb9f01d28">XsCalibratedDataMode</a> mode)</td></tr>
<tr class="memdesc:a35395b7a8e46390d753fefcec8b8a252"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the calibrated data mode to <em>mode</em>.  <a href="#a35395b7a8e46390d753fefcec8b8a252">More...</a><br /></td></tr>
<tr class="separator:a35395b7a8e46390d753fefcec8b8a252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93ea92beada96830de428650329fc32d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#gaf6d3ba49156a12dc63190c1bb9f01d28">XsCalibratedDataMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a93ea92beada96830de428650329fc32d">calibratedDataMode</a> () const </td></tr>
<tr class="memdesc:a93ea92beada96830de428650329fc32d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the calibrated data mode.  <a href="#a93ea92beada96830de428650329fc32d">More...</a><br /></td></tr>
<tr class="separator:a93ea92beada96830de428650329fc32d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6796c2cf0184b81e0ef8d316f395bcbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a6796c2cf0184b81e0ef8d316f395bcbf">setAnalogInChannelEnabled</a> (int channelIndex, bool enabled)</td></tr>
<tr class="memdesc:a6796c2cf0184b81e0ef8d316f395bcbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable an analog in channel.  <a href="#a6796c2cf0184b81e0ef8d316f395bcbf">More...</a><br /></td></tr>
<tr class="separator:a6796c2cf0184b81e0ef8d316f395bcbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69328aba1805577880fed4f8987833a3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a69328aba1805577880fed4f8987833a3">isAnalogInChannelEnabled</a> (int channelIndex) const </td></tr>
<tr class="memdesc:a69328aba1805577880fed4f8987833a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the analog in channel at <em>channelIndex</em> is enabled.  <a href="#a69328aba1805577880fed4f8987833a3">More...</a><br /></td></tr>
<tr class="separator:a69328aba1805577880fed4f8987833a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4311f44f190a9d3f664da7408203e05c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a4311f44f190a9d3f664da7408203e05c">setCoordinateSystem</a> (<a class="el" href="group__enums.html#gab70862c87211b0172b995e269bb9f6b4">XsCoordinateSystem</a> coordinatesystem)</td></tr>
<tr class="memdesc:a4311f44f190a9d3f664da7408203e05c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the coordinate system used for calibrated and orientation output.  <a href="#a4311f44f190a9d3f664da7408203e05c">More...</a><br /></td></tr>
<tr class="separator:a4311f44f190a9d3f664da7408203e05c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a837263bbd1f0fc2ac75b1b6b47424c1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a837263bbd1f0fc2ac75b1b6b47424c1d"></a>
<a class="el" href="group__enums.html#gab70862c87211b0172b995e269bb9f6b4">XsCoordinateSystem</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a837263bbd1f0fc2ac75b1b6b47424c1d">coordinateSystem</a> () const </td></tr>
<tr class="memdesc:a837263bbd1f0fc2ac75b1b6b47424c1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current used coordinate system. <br /></td></tr>
<tr class="separator:a837263bbd1f0fc2ac75b1b6b47424c1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41f6a48b3cadeddd5a83442aedf660a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a41f6a48b3cadeddd5a83442aedf660a1">setStatusOutputEnabled</a> (bool enabled)</td></tr>
<tr class="memdesc:a41f6a48b3cadeddd5a83442aedf660a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable the status output.  <a href="#a41f6a48b3cadeddd5a83442aedf660a1">More...</a><br /></td></tr>
<tr class="separator:a41f6a48b3cadeddd5a83442aedf660a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5336b0574437c3bca848a8488a967830"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a5336b0574437c3bca848a8488a967830">isStatusOutputEnabled</a> () const </td></tr>
<tr class="memdesc:a5336b0574437c3bca848a8488a967830"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current status of the status output.  <a href="#a5336b0574437c3bca848a8488a967830">More...</a><br /></td></tr>
<tr class="separator:a5336b0574437c3bca848a8488a967830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8e3de26c024018dc1ad4512fc89db56"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ab8e3de26c024018dc1ad4512fc89db56">setTemperatureOutputEnabled</a> (bool enabled)</td></tr>
<tr class="memdesc:ab8e3de26c024018dc1ad4512fc89db56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable the temperature output.  <a href="#ab8e3de26c024018dc1ad4512fc89db56">More...</a><br /></td></tr>
<tr class="separator:ab8e3de26c024018dc1ad4512fc89db56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e695180c23a30e0cd951ec302c8a436"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a5e695180c23a30e0cd951ec302c8a436">isTemperatureOutputEnabled</a> () const </td></tr>
<tr class="memdesc:a5e695180c23a30e0cd951ec302c8a436"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current status of the temperature output.  <a href="#a5e695180c23a30e0cd951ec302c8a436">More...</a><br /></td></tr>
<tr class="separator:a5e695180c23a30e0cd951ec302c8a436"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea5558f67a49735aba808291fbced1c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#aea5558f67a49735aba808291fbced1c9">setPositionDataEnabled</a> (bool enabled)</td></tr>
<tr class="memdesc:aea5558f67a49735aba808291fbced1c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable the position output.  <a href="#aea5558f67a49735aba808291fbced1c9">More...</a><br /></td></tr>
<tr class="separator:aea5558f67a49735aba808291fbced1c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd0779e8f56adb13661d1bb38ce35230"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#acd0779e8f56adb13661d1bb38ce35230">isPositionDataEnabled</a> () const </td></tr>
<tr class="memdesc:acd0779e8f56adb13661d1bb38ce35230"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current status of the position output.  <a href="#acd0779e8f56adb13661d1bb38ce35230">More...</a><br /></td></tr>
<tr class="separator:acd0779e8f56adb13661d1bb38ce35230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad209757f08813415d31b310673fae3c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ad209757f08813415d31b310673fae3c2">setVelocityDataEnabled</a> (bool enabled)</td></tr>
<tr class="memdesc:ad209757f08813415d31b310673fae3c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable the velocity output.  <a href="#ad209757f08813415d31b310673fae3c2">More...</a><br /></td></tr>
<tr class="separator:ad209757f08813415d31b310673fae3c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28bd470fa52e551cc21a2b92d5390340"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a28bd470fa52e551cc21a2b92d5390340">isVelocityDataEnabled</a> () const </td></tr>
<tr class="memdesc:a28bd470fa52e551cc21a2b92d5390340"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current status of the velocity output.  <a href="#a28bd470fa52e551cc21a2b92d5390340">More...</a><br /></td></tr>
<tr class="separator:a28bd470fa52e551cc21a2b92d5390340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03f6fafe9ae07ea6848680ffa7faf3a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a03f6fafe9ae07ea6848680ffa7faf3a6">setGpsPvtDataEnabled</a> (bool enabled)</td></tr>
<tr class="memdesc:a03f6fafe9ae07ea6848680ffa7faf3a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable the gps pvt data output.  <a href="#a03f6fafe9ae07ea6848680ffa7faf3a6">More...</a><br /></td></tr>
<tr class="separator:a03f6fafe9ae07ea6848680ffa7faf3a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a852d8739556107753d864930ecf0fea6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a852d8739556107753d864930ecf0fea6">isGpsPvtDataEnabled</a> () const </td></tr>
<tr class="memdesc:a852d8739556107753d864930ecf0fea6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current status of the gps pvt data output.  <a href="#a852d8739556107753d864930ecf0fea6">More...</a><br /></td></tr>
<tr class="separator:a852d8739556107753d864930ecf0fea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29e495a18dc83de79ebc23be99e13fb8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a29e495a18dc83de79ebc23be99e13fb8">setRawDataOutputEnabled</a> (bool enabled)</td></tr>
<tr class="memdesc:a29e495a18dc83de79ebc23be99e13fb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable the raw data output.  <a href="#a29e495a18dc83de79ebc23be99e13fb8">More...</a><br /></td></tr>
<tr class="separator:a29e495a18dc83de79ebc23be99e13fb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29a40180053bbebfe2a81f5fbad949f0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a29a40180053bbebfe2a81f5fbad949f0">isRawDataOutputEnabled</a> () const </td></tr>
<tr class="memdesc:a29a40180053bbebfe2a81f5fbad949f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current status of the raw data output.  <a href="#a29a40180053bbebfe2a81f5fbad949f0">More...</a><br /></td></tr>
<tr class="separator:a29a40180053bbebfe2a81f5fbad949f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc677702dffc1325a81201bec5ed578f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#adc677702dffc1325a81201bec5ed578f">toXsDeviceMode</a> () const </td></tr>
<tr class="memdesc:adc677702dffc1325a81201bec5ed578f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the device mode as a <a class="el" href="struct_xs_device_mode_r.html" title="A structure for storing device modes. ">XsDeviceModeR</a> object.  <a href="#adc677702dffc1325a81201bec5ed578f">More...</a><br /></td></tr>
<tr class="separator:adc677702dffc1325a81201bec5ed578f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0f984dd2fef35e705e1da9a0ba0d0b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_device_mode_p_s.html">XsDeviceModePS</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ad0f984dd2fef35e705e1da9a0ba0d0b1">toXsDeviceMode2</a> () const </td></tr>
<tr class="memdesc:ad0f984dd2fef35e705e1da9a0ba0d0b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the device mode as a <a class="el" href="struct_xs_device_mode_p_s.html" title="Stores device modes using period and skip factor. ">XsDeviceModePS</a> object.  <a href="#ad0f984dd2fef35e705e1da9a0ba0d0b1">More...</a><br /></td></tr>
<tr class="separator:ad0f984dd2fef35e705e1da9a0ba0d0b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf32c276d15804503cc12434326eb5a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#aabf32c276d15804503cc12434326eb5a">outputMode</a> () const </td></tr>
<tr class="memdesc:aabf32c276d15804503cc12434326eb5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the output mode.  <a href="#aabf32c276d15804503cc12434326eb5a">More...</a><br /></td></tr>
<tr class="separator:aabf32c276d15804503cc12434326eb5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae17c8ea9ba0b4b9d40eb1f794b02ca2b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ae17c8ea9ba0b4b9d40eb1f794b02ca2b">setOutputMode</a> (<a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a> mode)</td></tr>
<tr class="memdesc:ae17c8ea9ba0b4b9d40eb1f794b02ca2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the output <em>mode</em>.  <a href="#ae17c8ea9ba0b4b9d40eb1f794b02ca2b">More...</a><br /></td></tr>
<tr class="separator:ae17c8ea9ba0b4b9d40eb1f794b02ca2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2002c30fde0586a88d9a9b14e5163b40"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a2002c30fde0586a88d9a9b14e5163b40">outputSettings</a> () const </td></tr>
<tr class="memdesc:a2002c30fde0586a88d9a9b14e5163b40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the output settings.  <a href="#a2002c30fde0586a88d9a9b14e5163b40">More...</a><br /></td></tr>
<tr class="separator:a2002c30fde0586a88d9a9b14e5163b40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad659d568f8ccdf2a429405c765039728"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#ad659d568f8ccdf2a429405c765039728">setOutputSettings</a> (<a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a> settings)</td></tr>
<tr class="memdesc:ad659d568f8ccdf2a429405c765039728"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the output <em>settings</em>.  <a href="#ad659d568f8ccdf2a429405c765039728">More...</a><br /></td></tr>
<tr class="separator:ad659d568f8ccdf2a429405c765039728"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a264f3ea6d47e98320d3eaca6994435e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a264f3ea6d47e98320d3eaca6994435e1"></a>
<a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a264f3ea6d47e98320d3eaca6994435e1">m_outputMode</a></td></tr>
<tr class="memdesc:a264f3ea6d47e98320d3eaca6994435e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The output mode (bitfield that contains what should be output) <br /></td></tr>
<tr class="separator:a264f3ea6d47e98320d3eaca6994435e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c8c298efa03e8eb22b64f48e03562d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c8c298efa03e8eb22b64f48e03562d2"></a>
<a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a3c8c298efa03e8eb22b64f48e03562d2">m_outputSettings</a></td></tr>
<tr class="memdesc:a3c8c298efa03e8eb22b64f48e03562d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The output settings (bitfield that conatins how the output should be formatted) <br /></td></tr>
<tr class="separator:a3c8c298efa03e8eb22b64f48e03562d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20c54c192873846625da79b30462a309"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20c54c192873846625da79b30462a309"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a20c54c192873846625da79b30462a309">m_period</a></td></tr>
<tr class="memdesc:a20c54c192873846625da79b30462a309"><td class="mdescLeft">&#160;</td><td class="mdescRight">The period between updates in 115200Hz intervals. <br /></td></tr>
<tr class="separator:a20c54c192873846625da79b30462a309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a745af724540dff69413289cf79a77c49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a745af724540dff69413289cf79a77c49"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode.html#a745af724540dff69413289cf79a77c49">m_skip</a></td></tr>
<tr class="memdesc:a745af724540dff69413289cf79a77c49"><td class="mdescLeft">&#160;</td><td class="mdescRight">The skip factor wrt <em>m_period</em>. <br /></td></tr>
<tr class="separator:a745af724540dff69413289cf79a77c49"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains the output configuration of a device. </p>
<dl class="section remark"><dt>Remarks</dt><dd>Skipfactor</dd></dl>
<p>The skip factor can be used to achieve lower update rates than the sample rate. For most update rates setUpdateRate will successfully come up with a period and skip factor that results in the correct sample rate with output skip factor. In some cases the resulting values may not be desirable. When this happens, use this function in combination with setPeriod or setUpdateRate.</p>
<p>The skip factor determines the update rate relative to the actual sample rate as </p><p class="formulaDsp">
<img class="formulaDsp" alt="\[ updateRate = {sampleRate()}\over{(m_skipFactor + 1)} \]" src="form_0.png"/>
</p>
<p>For example, to achieve an output rate of 25 Hz, one could write </p><div class="fragment"><div class="line"><a class="code" href="struct_xs_device_mode.html">XsDeviceMode</a> mode;</div><div class="line">mode.<a class="code" href="struct_xs_device_mode.html#a100998369ba4104151fc93c86e5bd736">setUpdateRate</a>(25);</div></div><!-- fragment --><p>or more explicitly:</p>
<div class="fragment"><div class="line"><a class="code" href="struct_xs_device_mode.html">XsDeviceMode</a> mode;</div><div class="line">mode.<a class="code" href="struct_xs_device_mode.html#a100998369ba4104151fc93c86e5bd736">setUpdateRate</a>(100);</div><div class="line">mode.setSkipFactor(3);</div></div><!-- fragment --><dl class="section note"><dt>Note</dt><dd>MT Mk4 devices are better configured using <a class="el" href="struct_xs_output_configuration.html" title="Single data type output configuration. ">XsOutputConfiguration</a>, this object is supplied for legacy support only. </dd></dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a93ea92beada96830de428650329fc32d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#gaf6d3ba49156a12dc63190c1bb9f01d28">XsCalibratedDataMode</a> XsDeviceMode::calibratedDataMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the calibrated data mode. </p>
<dl class="section return"><dt>Returns</dt><dd>The calibrated data mode </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#gaf6d3ba49156a12dc63190c1bb9f01d28" title="Legacy calibrated data output selection flags. ">XsCalibratedDataMode</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ae157bca8ecb6d46a41306a7b51035226"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#gab069ea83c5534c084605d00747f02d3a">XsFloatFormat</a> XsDeviceMode::dataFormat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current floating point data format. </p>
<dl class="section return"><dt>Returns</dt><dd>The current floating point data format </dd></dl>

</div>
</div>
<a class="anchor" id="a69328aba1805577880fed4f8987833a3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isAnalogInChannelEnabled </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>channelIndex</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns whether the analog in channel at <em>channelIndex</em> is enabled. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">channelIndex</td><td>The index of the analog in channel. Can be either channel 0 or 1 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the analog in channel at <em>channelIndex</em> is enabled </dd></dl>

</div>
</div>
<a class="anchor" id="a852d8739556107753d864930ecf0fea6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isGpsPvtDataEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current status of the gps pvt data output. </p>
<dl class="section return"><dt>Returns</dt><dd>The current status of the gps pvt data output </dd></dl>

</div>
</div>
<a class="anchor" id="aa384890789e6b30ba2ef9139b65f51b7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isModeFlagEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a>&#160;</td>
          <td class="paramname"><em>flag</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Check the state of the output mode <em>flag</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">flag</td><td>The state of this flag is returned </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The state of <em>flag</em> </dd></dl>

</div>
</div>
<a class="anchor" id="acd0779e8f56adb13661d1bb38ce35230"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isPositionDataEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current status of the position output. </p>
<dl class="section return"><dt>Returns</dt><dd>The current status of the position output </dd></dl>

</div>
</div>
<a class="anchor" id="a29a40180053bbebfe2a81f5fbad949f0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isRawDataOutputEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current status of the raw data output. </p>
<dl class="section return"><dt>Returns</dt><dd>The current status of the raw data output </dd></dl>

</div>
</div>
<a class="anchor" id="a90067b87cd246434b21320d9e77ea01e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isSettingsFlagEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a>&#160;</td>
          <td class="paramname"><em>flag</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Check the state of the output settings <em>flag</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">flag</td><td>The state of this flag is returned </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The state of <em>flag</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a5336b0574437c3bca848a8488a967830"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isStatusOutputEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current status of the status output. </p>
<dl class="section return"><dt>Returns</dt><dd>The current status of the status output </dd></dl>

</div>
</div>
<a class="anchor" id="a5e695180c23a30e0cd951ec302c8a436"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isTemperatureOutputEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current status of the temperature output. </p>
<dl class="section return"><dt>Returns</dt><dd>The current status of the temperature output </dd></dl>

</div>
</div>
<a class="anchor" id="a28bd470fa52e551cc21a2b92d5390340"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceMode::isVelocityDataEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current status of the velocity output. </p>
<dl class="section return"><dt>Returns</dt><dd>The current status of the velocity output </dd></dl>

</div>
</div>
<a class="anchor" id="a6f8ca57ae321f5c8006ec894c15e7be0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#ga126d8e6e843bb9ec4b39dff76fd20dd5">XsOrientationMode</a> XsDeviceMode::orientationMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the current orientation mode. </p>
<dl class="section return"><dt>Returns</dt><dd>The current orientation mode </dd></dl>

</div>
</div>
<a class="anchor" id="aabf32c276d15804503cc12434326eb5a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a> XsDeviceMode::outputMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the output mode. </p>
<dl class="section return"><dt>Returns</dt><dd>The output mode </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375" title="Bit values for legacy output mode. ">XsOutputMode</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a2002c30fde0586a88d9a9b14e5163b40"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a> XsDeviceMode::outputSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the output settings. </p>
<dl class="section return"><dt>Returns</dt><dd>The output settings </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a" title="Bit values for legacy output settings. ">XsOutputSettings</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a51919c7ee28fd7d1df6eda7b9312ee3a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsDeviceMode::period </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current period. </p>
<dl class="section return"><dt>Returns</dt><dd>The current period </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga537b419910590a3b6feb961ed20bc3d8" title="Set the update rate to the given rate. ">XsDeviceMode_setUpdateRate()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a81ab2f553c7b46f60be7780d60ccce8e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double XsDeviceMode::sampleRate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the sample rate in Hz. </p>
<p>The sample rate is the frequency at which the MT internally queries the IMUs. It can be much higher than the update rate depending on the type of device and filter requirements.</p>
<dl class="section return"><dt>Returns</dt><dd>The sample rate in Hz</dd></dl>
<dl class="section see"><dt>See also</dt><dd>setSkipFactor(int) </dd>
<dd>
m_skipFactor, <a class="el" href="struct_xs_device_mode.html#a51919c7ee28fd7d1df6eda7b9312ee3a" title="Return the current period. ">period()</a> </dd>
<dd>
<a class="el" href="struct_xs_device_mode.html#a459bb3be031f231e16dc1e86d3b47387" title="Get the update rate in Hz. ">updateRate()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a6796c2cf0184b81e0ef8d316f395bcbf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setAnalogInChannelEnabled </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>channelIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable or disable an analog in channel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">channelIndex</td><td>The index of the analog in channel. Can be either channel 0 or 1 </td></tr>
    <tr><td class="paramname">enabled</td><td>Enable or disable the channel at <em>channelIndex</em> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a35395b7a8e46390d753fefcec8b8a252"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setCalibratedDataMode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#gaf6d3ba49156a12dc63190c1bb9f01d28">XsCalibratedDataMode</a>&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the calibrated data mode to <em>mode</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>The Calibrated data mode to set </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#gaf6d3ba49156a12dc63190c1bb9f01d28" title="Legacy calibrated data output selection flags. ">XsCalibratedDataMode</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a4311f44f190a9d3f664da7408203e05c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setCoordinateSystem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#gab70862c87211b0172b995e269bb9f6b4">XsCoordinateSystem</a>&#160;</td>
          <td class="paramname"><em>coordinatesystem</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the coordinate system used for calibrated and orientation output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">coordinatesystem</td><td>The coordinate system to use.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#gab70862c87211b0172b995e269bb9f6b4" title="Coordinate system definition flags. ">XsCoordinateSystem</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a58f01990b90548bc8a5235baccc34bee"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setDataFormat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#gab069ea83c5534c084605d00747f02d3a">XsFloatFormat</a>&#160;</td>
          <td class="paramname"><em>ff</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the data format for floating point output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ff</td><td>The new <em>XsFloatFormat</em>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#gab069ea83c5534c084605d00747f02d3a" title="Legacy floating point / fixed point format options. ">XsFloatFormat</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a03f6fafe9ae07ea6848680ffa7faf3a6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setGpsPvtDataEnabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable or disable the gps pvt data output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>Set to non-zero for enabling gps pvt data output, to zero for disabling </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8972a3cf1332ae5201387483e4b1b5fa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setModeFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a>&#160;</td>
          <td class="paramname"><em>flag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set or clear a <em>flag</em> of the output mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">flag</td><td>The flag to enable or disable </td></tr>
    <tr><td class="paramname">enabled</td><td>Set to zero for disabling the <em>flag</em>, non-zero for enabling the <em>flag</em> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2eaadacdd16e6c6a6dabf6d5d0261220"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setOrientationMode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga126d8e6e843bb9ec4b39dff76fd20dd5">XsOrientationMode</a>&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set orientation output mode to <em>mode</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>The mode to set.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#ga126d8e6e843bb9ec4b39dff76fd20dd5" title="Legacy orientation output mode selection. ">XsOrientationMode</a></dd></dl>
<p>If mode is set to anything other than OM_None, the raw inertial output is automatically disabled. </p>

</div>
</div>
<a class="anchor" id="ae17c8ea9ba0b4b9d40eb1f794b02ca2b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setOutputMode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a>&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the output <em>mode</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>The output mode to set </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375" title="Bit values for legacy output mode. ">XsOutputMode</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ad659d568f8ccdf2a429405c765039728"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setOutputSettings </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a>&#160;</td>
          <td class="paramname"><em>settings</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the output <em>settings</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">settings</td><td>The outputsettings to set </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a" title="Bit values for legacy output settings. ">XsOutputSettings</a> </dd></dl>

</div>
</div>
<a class="anchor" id="afcaf3f485f7752bd882c7dbe366d74aa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setPeriodAndSkipFactor </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>sampleperiod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>skipfactor</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the period and skip factor directly. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sampleperiod</td><td>The sample period to use </td></tr>
    <tr><td class="paramname">skipfactor</td><td>The skip factor to use </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga537b419910590a3b6feb961ed20bc3d8" title="Set the update rate to the given rate. ">XsDeviceMode_setUpdateRate()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aea5558f67a49735aba808291fbced1c9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setPositionDataEnabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable or disable the position output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>Set to non-zero for enabling position output, to zero for disabling </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a29e495a18dc83de79ebc23be99e13fb8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setRawDataOutputEnabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable or disable the raw data output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>Set to non-zero for enabling raw data output, to zero for disabling</td></tr>
  </table>
  </dd>
</dl>
<p>If enabled, the orientation and calibrated output are automatically disabled. </p>

</div>
</div>
<a class="anchor" id="ac20d2a6bced698c9dcab602ef1ec53cc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setSettingsFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a>&#160;</td>
          <td class="paramname"><em>flag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set or clear a <em>flag</em> of the output settings. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">flag</td><td>The flag to enable or disable </td></tr>
    <tr><td class="paramname">enabled</td><td>Set to zero for disabling the <em>flag</em>, non-zero for enabling the <em>flag</em> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a41f6a48b3cadeddd5a83442aedf660a1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setStatusOutputEnabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable or disable the status output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>Set to non-zero for enabling status output, to zero for disabling </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab8e3de26c024018dc1ad4512fc89db56"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setTemperatureOutputEnabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable or disable the temperature output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>Set to non-zero for enabling temperature output, to zero for disabling </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a100998369ba4104151fc93c86e5bd736"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setUpdateRate </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the update rate to the given <em>rate</em>. </p>
<p>The update rate is internally expressed as a period and a skip factor. This may cause the actual update rate to differ up to 2Hz from the value set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rate</td><td>The update rate to set</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="struct_xs_device_mode.html#a459bb3be031f231e16dc1e86d3b47387" title="Get the update rate in Hz. ">updateRate()</a>, <a class="el" href="struct_xs_device_mode.html#a81ab2f553c7b46f60be7780d60ccce8e" title="Get the sample rate in Hz. ">sampleRate()</a>, <a class="el" href="struct_xs_device_mode.html#a51919c7ee28fd7d1df6eda7b9312ee3a" title="Return the current period. ">period()</a>, m_skipFactor, setPeriod(uint16_t), setSkipFactor(uint16_t) </dd></dl>

</div>
</div>
<a class="anchor" id="ad209757f08813415d31b310673fae3c2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceMode::setVelocityDataEnabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable or disable the velocity output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>Set to non-zero for enabling velocity output, to zero for disabling </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a553100c155d0f4d2254e734914fc7ea1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsDeviceMode::skipFactor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the current skip factor. </p>
<dl class="section return"><dt>Returns</dt><dd>The current skip factor </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga537b419910590a3b6feb961ed20bc3d8" title="Set the update rate to the given rate. ">XsDeviceMode_setUpdateRate()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="adc677702dffc1325a81201bec5ed578f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a> XsDeviceMode::toXsDeviceMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the device mode as a <a class="el" href="struct_xs_device_mode_r.html" title="A structure for storing device modes. ">XsDeviceModeR</a> object. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gab7bf1d30f92fb298ed50943ea353b519" title="Return the device mode as a XsDeviceModeR object. ">XsDeviceMode_toXsDeviceMode</a> </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>the <a class="el" href="struct_xs_device_mode_r.html" title="A structure for storing device modes. ">XsDeviceModeR</a> object </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="struct_xs_device_mode_r.html" title="A structure for storing device modes. ">XsDeviceModeR</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ad0f984dd2fef35e705e1da9a0ba0d0b1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_device_mode_p_s.html">XsDeviceModePS</a> XsDeviceMode::toXsDeviceMode2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the device mode as a <a class="el" href="struct_xs_device_mode_p_s.html" title="Stores device modes using period and skip factor. ">XsDeviceModePS</a> object. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga89291a18b727abb67e7fa7c9518abffd" title="Return the device mode as a XsDeviceModePS object. ">XsDeviceMode_toXsDeviceMode2</a> </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>the <a class="el" href="struct_xs_device_mode_p_s.html" title="Stores device modes using period and skip factor. ">XsDeviceModePS</a> object </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="struct_xs_device_mode_r.html" title="A structure for storing device modes. ">XsDeviceModeR</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a459bb3be031f231e16dc1e86d3b47387"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t XsDeviceMode::updateRate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the update rate in Hz. </p>
<p>The update rate is the frequency at which data is output by the sensor. This frequency is a result of sampleRate and skipFactor.</p>
<dl class="section return"><dt>Returns</dt><dd>The current update rate</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="struct_xs_device_mode.html#a100998369ba4104151fc93c86e5bd736" title="Set the update rate to the given rate. ">setUpdateRate(int)</a> </dd>
<dd>
m_skipFactor, <a class="el" href="struct_xs_device_mode.html#a51919c7ee28fd7d1df6eda7b9312ee3a" title="Return the current period. ">period()</a> </dd>
<dd>
<a class="el" href="struct_xs_device_mode.html#a81ab2f553c7b46f60be7780d60ccce8e" title="Get the sample rate in Hz. ">sampleRate()</a> </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
